@extends('layouts.app')

@section('content')

<style>
  tr {
    border-bottom: 1px solid #000;
  }
  tbody tr:last-child {
    border-bottom: none;
  }
  td {
      padding-left: 10px; /* ou margin-left: 10px; */
    }
</style>

  <table class="w-full bg-jlg-dark-blue flex justify-center">
    <thead>
      <tr class="border-jlg-white h-64 top-0 w-full lg:w-2/3 fixed flex items-stretch justify-around text-left lg:text-xl uppercase bg-jlg-dark-blue">
        <th class="flex items-end justify-start"></th>
        <th class="flex items-end justify-start pb-4">Images</th>
        <th class="flex items-end justify-start pb-4">Voix Off et In</th>
        <th class="flex items-end justify-start pb-4">Bande Son</th>
        <th class="flex items-end justify-start pb-4">Écrits</th>
        <th class="flex items-end justify-start"></th>
      </tr>
    </thead>
    <tbody class="w-full lg:w-2/3 block bg-jlg-dark-blue">
      <?php
        $args = array(
          'post_type' => 'post',
          'posts_per_page' => -1,
          'meta_key' => 'Index',
          'meta_type' => 'NUMERIC',
          'orderby' => 'meta_value',
          'order' => 'ASC'
        );
        $query = new WP_Query($args);
        if ($query->have_posts()) :
         if(is_user_logged_in()){ // verifier si l'utilisateur est connecté 
          while ($query->have_posts()) : $query->the_post();
            $edit_link = 'https://localhost/wp/wp-admin/admin.php?page=rvy-revisions&post='. get_the_ID() .'&action=revise';
      ?> 
          <tr class="border-jlg-white font-authentic-60 w-full flex flex-row py-6">
            <td class="block text-sm pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Minutage', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Images', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'VoixOffIn', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'BandeSon', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Ecrits', true) }}</td>
            <td class="block text-sm pl-0 pr-6"><?php echo '<a href="' . esc_url( $edit_link ) . '" class="edit-button">&#128393;</a>';?></td>
          </tr>
       <?php
          endwhile;
         }

         elseif (!is_user_logged_in()) { // si l'utilsateur n'est pas connecté alors le bouton edit a un shortcode qui appelle le plugin user Login
          while ($query->have_posts()) : $query->the_post();
            $edit_link = $edit_link = 'https://localhost/wp/wp-admin/admin.php?page=rvy-revisions&post='. get_the_ID() .'&action=revise';
      ?> 
          <tr class="border-jlg-white font-authentic-60 w-full flex flex-row py-6">
            <td class="block text-sm pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Minutage', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Images', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'VoixOffIn', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'BandeSon', true) }}</td>
            <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Ecrits', true) }}</td>
            <td class="block text-sm pl-0 pr-6"><?php echo '<a href="' . esc_url( $edit_link ) . '" class="edit-button xoo-el-login-tgr ">&#128393;</a>';?></td>
          </tr>
       <?php
          endwhile;
         }
        endif;
        wp_reset_postdata();
      ?>
    </tbody>
  </table>


  @if (! have_posts())
    <x-alert type="warning">
      {!! __('Sorry, no results were found.', 'sage') !!}
    </x-alert>

    {!! get_search_form(false) !!}
  @endif


@endsection